Bug 57894 - Different disk geometry for identical drives
Different disk geometry for identical drives
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-30 23:15 EST by Michael Franks
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Franks 2001-12-30 23:15:23 EST
Description of Problem:Installation of 7.2 on system hardware using 
identical hard disks in /dev/hda and /dev/hdd positions. Veiwing the disk 
partitions using fdisk I notice that the geometry ie cyls, heads, sectors 
is different for these disks


Version-Release number of selected component (if applicable):


How Reproducible:I have installed a previous version (RH7.1) with the same 
results - but have not tried different hardware.  


Steps to Reproduce:
1. Install 7.2 on a system with identical hard disks on /dev/hda & /dev/hdc
2. Run fdisk /dev/hda and note cyl, head, sector info.
3. Run fdisk /dev/hdc and note cyl, head, sector info.

Actual Results:
Info was different for disks

Expected Results:
Identical Cyl, Head , Sector info

Additional Information:
Comment 1 giulioo 2001-12-31 06:00:48 EST
This is a kernel thing, I think.

If you want the disk on the 2nd ide controller to have the same CHS for some 
reason (ie: boot on degraded raid1/hdd with just 1 lilo.conf), then you have to 
force in fdisk the CHS to be the same of the 1st. The next boot you'll see 
something like this (this is kernel 2.2, but 2.4 is the same):

hda: SAMSUNG SV1021H, 9732MB w/426kB Cache, CHS=1240/255/63
hdc: SAMSUNG SV1021H, 9732MB w/426kB Cache, CHS=19774/16/63
...
...

 hda: hda1 hda2 hda3 < hda5 hda6 hda7 hda8 hda9 hda10 >
 hdc: [PTBL] [1240/255/63] hdc1 hdc2 hdc3 < hdc5 hdc6 hdc7 hdc8 hdc9 hdc10 >

PTBL is the way linux tells you "I thought CHS was different but I see info on 
the partition table that make me think you actually partitioned it using a 
different CHS interpretation"
Comment 2 Bill Nottingham 2006-08-07 14:53:33 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 12:17:02 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.